summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorJasper F2015-06-30 09:58:01 +0100
committerJasper F2015-06-30 09:58:01 +0100
commit43467fc67c37950be55a98f137490a1c74cfcc8f (patch)
treecac2ee228388fe4e239f1d3eb4ec1e7259b168b4 /PKGBUILD
downloadaur-bsp.tar.gz
Initial import
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD23
1 files changed, 23 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..cac7b9b2930
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Jasper Follas follasjj@live.co.uk
+
+pkgname=bsp
+pkgver=5.2
+pkgrel=7
+pkgdesc="The most popular nodebuilder for DOOM"
+arch=('i686' 'x86_64')
+license=('CCPL:by-sa')
+url="http://games.moria.org.uk/doom/bsp/"
+depends=('pygtk' 'librsvg' 'glibc')
+source=(http://games.moria.org.uk/doom/bsp/download/$pkgname-$pkgver.tar.bz2)
+md5sums=('6f29fc0d5ca0512c34482843b0a1fcb3')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr --mandir=/usr/share/man
+ make || return 1
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}